<!--
 * @Date: 2025-06-17 11:44:52
 * @LastEditors: gaoshp
 * @LastEditTime: 2025-06-17 16:16:28
 * @FilePath: /mdmweb/src/views/basesetting/produceplan.vue
-->
<template>
    <basic-container>
        <avue-crud :option="option" :table-loading="loading" :data="data" v-model:page="page" v-model="form" ref="crud"
            @search-change="searchChange" @search-reset="searchReset" @current-change="currentChange"
            @size-change="sizeChange" @refresh-change="refreshChange" @on-load="onLoad">
            <template #menu-left>
                <el-button type="primary" plain @click="importAction">导入
                </el-button>
            </template>
            <template #menu="scope">
                <el-button type="primary" text size="default" v-if="permission.flow_model_update"
                    @click.stop="handleAction(scope.row, scope.index)">审批
                </el-button>
            </template>
        </avue-crud>
    </basic-container>
</template>

<script>
import { getList } from '@/api/basesetting/produceplan';
import { mapGetters } from 'vuex';
export default {
    name: 'ProducePlan',
    data() {
        return {
            // Define your data properties here
            option: {
                // Define your Avue CRUD options here
                addBtn: true,
                editBtn: true,
                delBtn: true,
                columnBtn: false,
                tip: false,
                // simplePage: true,
                searchShow: true,
                searchMenuSpan: 6,
                dialogWidth: '60%',
                // tree: true,
                border: true,
                index: true,
                // selection: true,
                // viewBtn: true,
                menuWidth: 320,
                dialogClickModal: false,
                column: [
                    {
                        label: '程序名称',
                        prop: 'name',
                        type: 'input',
                        search: true,
                        searchRange: true,
                        searchSpan: 8,
                        hide: true,
                    },
                    {
                        label: '人员名称',
                        prop: 'name',
                        type: 'input',
                        search: true,
                        searchRange: true,
                        searchSpan: 8,
                        hide: true,
                    },
                    // {
                    //     label: '序号',
                    //     prop: 'index',
                    //     type: 'index',
                    // },
                    {
                        label: '零组件代码',
                        prop: 'id',
                        type: '',
                    },
                    {
                        label: '专业组长',
                        prop: 'teamLeaderName',
                        type: '',
                    },
                    {
                        label: '编制（工艺员)',
                        prop: 'teamLeaderName',
                        type: '',
                    },
                    {
                        label: '校对（工艺员)',
                        prop: 'checkerName',
                        type: '',
                    },
                    {
                        label: '审核(高师)',
                        prop: 'seniorName',
                        type: '',
                    },
                    
                    // Add more columns as needed
                ],
            },
            loading: false,
            data: [], // This will hold the data for the tables
            page: {
                pageSize: 10,
                currentPage: 1,
                total: 0,
            },
            form: {}, // This will hold the form data
            query: {}, // This will hold the search query
        };
    },
    methods: {
        // Define your methods here
        searchChange(params, done) {
            this.query = params;
            this.page.currentPage = 1;
            console.log('searchChange', params);
            console.log(params);
            this.onLoad(this.page, params);
            done();
        },
        searchReset() {
            this.query = {};
            this.onLoad(this.page);
         },
        currentChange() { 
            this.page.currentPage = currentPage;
        },
        sizeChange() {
            this.page.pageSize = pageSize;
         },
        refreshChange() {
            this.onLoad(this.page, this.query);
         },
        onLoad(page, params = {}) {
            const query = {
                ...this.query,
                // category: params.category ? flowCategory(params.category) : null,
                mode: this.mode,
            };
            this.loading = true;
            getList(page.currentPage, page.pageSize, Object.assign(params, query)).then(res => {
                const data = res.data.data;
                this.page.total = data.total;
                this.data = data.records;
                this.loading = false;
            });
        },
        importAction() {
            // Logic for importing data
            this.$message.success('导入功能尚未实现');
        },
    },
    mounted() {
        // Code to run when the component is mounted
    },
}
</script>

<style lang="scss" scoped></style>